Package org.apache.cxf.bus.osgi

# Class OSGIBusListener

java.lang.Object
org.apache.cxf.bus.osgi.OSGIBusListener

All Implemented Interfaces:
  `BusLifeCycleListener`

public class OSGIBusListener extends Object implements BusLifeCycleListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTEXT_NAME_PROPERTY`
  `static final String`
  `CONTEXT_SYMBOLIC_NAME_PROPERTY`
  `static final String`
  `CONTEXT_VERSION_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OSGIBusListener(Bus b)`
  `OSGIBusListener(Bus b, Object[] args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initComplete()`
  Invoked when the `Bus` has been initialized.
  `void`
  `postShutdown()`
  Invoked after the `Bus` is shutdown.
  `void`
  `preShutdown()`
  Invoked before the `Bus` is shutdown.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTEXT_SYMBOLIC_NAME_PROPERTY

    public static final String CONTEXT_SYMBOLIC_NAME_PROPERTY
    See Also:
      - Constant Field Values

  - ### CONTEXT_VERSION_PROPERTY

    public static final String CONTEXT_VERSION_PROPERTY
    See Also:
      - Constant Field Values

  - ### CONTEXT_NAME_PROPERTY

    public static final String CONTEXT_NAME_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OSGIBusListener

    public OSGIBusListener(Bus b)

  - ### OSGIBusListener

    public OSGIBusListener(Bus b, Object[] args)

- ## Method Details

  - ### initComplete

    public void initComplete()
    Description copied from interface: `BusLifeCycleListener`
    Invoked when the `Bus` has been initialized.
    Specified by:
      `initComplete` in interface `BusLifeCycleListener`

  - ### preShutdown

    public void preShutdown()
    Description copied from interface: `BusLifeCycleListener`
    Invoked before the `Bus` is shutdown.
    Specified by:
      `preShutdown` in interface `BusLifeCycleListener`

  - ### postShutdown

    public void postShutdown()
    Description copied from interface: `BusLifeCycleListener`
    Invoked after the `Bus` is shutdown.
    Specified by:
      `postShutdown` in interface `BusLifeCycleListener`